### org.jfree.layouting.input.style.parser.stylehandler.text

# Class SpacingLimitReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.text.SpacingLimitReadHandler`

Implemented Interfaces:
  CSSCompoundValueReadHandler

Known Direct Subclasses:
  LetterSpacingLimitReadHandler, WordSpacingLimitReadHandler

`public abstract class SpacingLimitReadHandler`
`extends java.lang.Object`
`implements CSSCompoundValueReadHandler`

Creation-Date: 24.05.2006, 15:13:13

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSConstant`

  `NORMAL`

  ## Constructor Summary

  `SpacingLimitReadHandler()`

  ## Method Summary

  `Map`

  `createValues(LexicalUnit unit)`
    Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.

  `StyleKey[]`

  `getAffectedKeys()`

  `protected abstract StyleKey`

  `getMaximumKey()`

  `protected abstract StyleKey`

  `getMinimumKey()`

  `protected abstract StyleKey`

  `getOptimumKey()`

## Field Details

### NORMAL

    public static final CSSConstant NORMAL

## Constructor Details

### SpacingLimitReadHandler

    protected SpacingLimitReadHandler()

## Method Details

### createValues

    public Map createValues(LexicalUnit unit)

> Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
> Specified by:
>   createValues in interface CSSCompoundValueReadHandler
> Parameters:
>   `unit` -
> Returns:

### getAffectedKeys

    public StyleKey[] getAffectedKeys()

> Specified by:
>   getAffectedKeys in interface CSSCompoundValueReadHandler

### getMaximumKey

    protected abstract StyleKey getMaximumKey()

### getMinimumKey

    protected abstract StyleKey getMinimumKey()

### getOptimumKey

    protected abstract StyleKey getOptimumKey()